<template>
  <div class="page">
    <div class="tips">
      <p>考试名称：美容师资格认证理论考试</p>
      <p>考试级别：C/B/A</p>
      <p>考试时间：30分钟</p>
      <p>考试说明：</p>
      <p>1）理论考试共50道选择题，每题2分，满分100分；</p>
      <p>
        2）理论考试成绩查看可在提交成功后，前往人才>活动报名>我的报名中查看具体情况，（C级70分及格、B级80分及格、A级90分及格）；
      </p>
      <p>
        3）理论考试及格后可在宠爱王国App中<b>人才>证书申领 中进行证书申领</b>；
      </p>
      <p>
        4）理论考试未及格需进行补考，直至理论考试通过，参加补考需缴纳补考费
        100/次；
      </p>
      <p>注意事项：</p>
      <p>1、正式考试开始前，请务必保证手机电量充足，网络状况良好；</p>
      <p>2、考试时间30分钟，时间到系统默认自动交卷；</p>
      <p>
        3、考试期间如自行退出，则即视为交卷，如未通过需补考则由考生自行承担；
      </p>
      <p>4、考试期间如发生闪退、断网、app退出，请联系工作人员；</p>
      <p></p>
      <p>预祝大家取得好成绩</p>
      <p></p>
      <p style="text-align: right">CKU美容部</p>
      <p></p>
    </div>

    <div class="commonBtn" @click="handleClick()">
      <div class="btn">开始考试</div>
    </div>
  </div>
</template>
<script>
import { Dialog } from "vant";
export default {
  data() {
    return {};
  },
  created() {
    let token = this.$route.query.token || "";
    sessionStorage.setItem("token", token);
    let club = this.$route.query.club || "";
    sessionStorage.setItem("club", club);
    let id = this.$route.query.id || "";
    sessionStorage.setItem("id", id);
  },
  mounted() {
    window["handleClickMock"] = () => {
      this.handleClickMock();
    };
  },
  methods: {
    // 进入考试
    handleClick() {
      Dialog.confirm({
        confirmButtonColor: "#2660ff",
        title: "是否立即开始考试？",
        message: "确认后将立即正式开始考试，考试开始后不可随意退出。",
      })
        .then(() => {
          // on confirm
          this.$router.replace({
            name: "ckuBeauticianExamDetail",
            query: { type: "cku_beautician_exam_detail" },
          });
        })
        .catch(() => {
          // on cancel
        });
    },
    handleClickMock() {
      this.$router.push({
        name: "ckuBeauticianExamMock",
      });
    },
  },
};
</script>
<style scoped>
.page {
  min-height: 100vh;
  box-sizing: border-box;
  background: #ffffff;
}
.tips {
  font-size: 0.28rem;
  line-height: 0.5rem;
  color: #666666;
  padding: 0.5rem 0.5rem 3rem;
}
.commonBtn {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 0.66rem 0.75rem;
  box-sizing: border-box;
}
.commonBtn .btn {
  line-height: 0.88rem;
  background: #2660ff;
  border-radius: 0.45rem;
  text-align: center;
  font-size: 0.32rem;
  font-weight: 600;
  color: #ffffff;
}
</style>
